org.apache.ignite.thread

## Class IgniteThreadFactory

- java.lang.Object
- - org.apache.ignite.thread.IgniteThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class IgniteThreadFactory
    extends Object
    implements ThreadFactory

This class provides implementation of `ThreadFactory` factory for creating grid threads.

### Constructor Summary

Constructors
Constructor and Description
`IgniteThreadFactory(String gridName)` Constructs new thread factory for given grid.
`IgniteThreadFactory(String gridName, String threadName)` Constructs new thread factory for given grid.

### Method Summary

Methods
`Thread` `newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteThreadFactory

    public IgniteThreadFactory(String gridName)

Constructs new thread factory for given grid. All threads will belong to the same default thread group.

Parameters:
  `gridName` - Grid name.

#### IgniteThreadFactory

    public IgniteThreadFactory(String gridName,
                       String threadName)

Constructs new thread factory for given grid. All threads will belong to the same default thread group.

Parameters:
  `gridName` - Grid name.
  `threadName` - Thread name.

### Method Detail

#### newThread

    public Thread newThread(@NotNull
                   Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015